summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-10-14 14:40:38 +0200
committerJeroen Roovers <jer@gentoo.org>2018-10-14 14:46:41 +0200
commit3a111ec801447789eeb4b4309a568a849dda0534 (patch)
treef8e8686a8984bb0cb6e6acd290a21ad890e9f8f9
parentdev-perl/Test-Requires: mark s390 stable (diff)
downloadgentoo-3a111ec801447789eeb4b4309a568a849dda0534.tar.gz
gentoo-3a111ec801447789eeb4b4309a568a849dda0534.tar.bz2
gentoo-3a111ec801447789eeb4b4309a568a849dda0534.zip
gnome-extra/synapse: Version 0.2.99.4
Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--gnome-extra/synapse/Manifest1
-rw-r--r--gnome-extra/synapse/synapse-0.2.99.4.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/gnome-extra/synapse/Manifest b/gnome-extra/synapse/Manifest
index d64abe2e437..21a27bc1b04 100644
--- a/gnome-extra/synapse/Manifest
+++ b/gnome-extra/synapse/Manifest
@@ -1 +1,2 @@
DIST synapse-0.2.99.2.tar.xz 444156 BLAKE2B b1fccaecf6ea0d8623e305852e3ae21bb0f95b38a086152643bfb15f82c59a27fc499487ad9a3dba56378f260eea26a43a76bef11220b9e24b2027b1a1a8f8ca SHA512 e4b6e0399a83fc7880d786e8cff6360850d5ce1ac2eabccb5ce6d3989e4356c42adf1155905b39bb6b10887c02844dad01cdf8d556bc4bd6c7cd11956f8116c7
+DIST synapse-0.2.99.4.tar.xz 538476 BLAKE2B 27de41362ca53c06ba70d9b0df728aa64e72f19b726b5e5cb4797c85bf296c43969b58491430c585887e0a74339c49399bbe415c13827fa2b0243e8b1bdd8598 SHA512 d9668fb9dd18d97da89bf5f0a9864f843c629f91751b326b4e97de74c6db64a59dbcd221f1b6ed0fc199a683ed511d86f280756fe4c21195d6169d2977315325
diff --git a/gnome-extra/synapse/synapse-0.2.99.4.ebuild b/gnome-extra/synapse/synapse-0.2.99.4.ebuild
new file mode 100644
index 00000000000..2340f03e460
--- /dev/null
+++ b/gnome-extra/synapse/synapse-0.2.99.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit vala
+
+DESCRIPTION="A program launcher in the style of GNOME Do"
+HOMEPAGE="https://launchpad.net/synapse-project/"
+SRC_URI="https://launchpad.net/synapse-project/0.3/${PV}/+download/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls plugins"
+
+RDEPEND="
+ >=dev-libs/glib-2.28.0:2
+ >=x11-libs/gtk+-3.0.0:3
+ dev-libs/json-glib
+ dev-libs/keybinder:3
+ dev-libs/libgee:0.8
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/libnotify
+ x11-libs/pango
+ x11-themes/adwaita-icon-theme
+ nls? ( virtual/libintl )
+ plugins? ( >=net-libs/rest-0.7 )
+"
+DEPEND="
+ $(vala_depend)
+ ${RDEPEND}
+ nls? ( sys-devel/gettext )
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ sed -i -e 's/GNOME/GNOME;GTK/' data/synapse.desktop.in || die
+ vala_src_prepare
+}
+
+src_configure() {
+ econf \
+ $(use_enable plugins librest yes) \
+ $(use_enable nls) \
+ --disable-zeitgeist \
+ --enable-indicator=no
+}